#
#       Makefile for dcl-5.9x
#       Makefile for sample
#

ROOTDIR = ..\..
PACKNAME = sample
SUBDIRS  = grpack sgpack slpack udegpk umpack \
           uspack uxyzpk uipack

!include $(ROOTDIR)\MkInclude.win

build:
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec
build-exec:
         @echo Entering sample
	copy $(ROOTDIR)\CREDITS.tex .
	$(LATEX) $(PACKNAME).tex
	$(LATEX) $(PACKNAME).tex
	$(DVIPDF) $(PACKNAME).dvi
	del CREDITS.tex

install:
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:
	move *.pdf ..

clean:
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:
